### Method

# Gtk FileDialogset_initial_file

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_set_initial_file (
      GtkFileDialog* self,
      GFile* file
    )

#### Description [src]

Sets the file that will be initially selected in the file chooser dialog.

This function is a shortcut for calling both `gtk_file_dialog_set_initial_folder()` and `gtk_file_dialog_set_initial_name()` with the directory and name of `file` respectively.

Available since: 4.10

Sets property | `Gtk.FileDialog:initial-file`

#### Parameters

`file`

  Type: `GFile`

  A `GFile`

  The argument can be `NULL`.
  The data is owned by the caller of the method.